org.apache.cassandra.cache

## Class CachingOptions

- java.lang.Object
- - org.apache.cassandra.cache.CachingOptions

    public class CachingOptions
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `CachingOptions.KeyCache`
`static class` `CachingOptions.RowCache`

### Field Summary

Fields
`static CachingOptions` `ALL`
`CachingOptions.KeyCache` `keyCache`
`static CachingOptions` `KEYS_ONLY`
`static CachingOptions` `NONE`
`CachingOptions.RowCache` `rowCache`
`static CachingOptions` `ROWS_ONLY`

### Constructor Summary

Constructors
Constructor and Description
`CachingOptions(CachingOptions.KeyCache kc, CachingOptions.RowCache rc)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object o)`
`static CachingOptions` `fromMap(java.util.Map<java.lang.String,java.lang.String> cacheConfig)`
`static CachingOptions` `fromString(java.lang.String cache)`
`static CachingOptions` `fromThrift(java.lang.String caching, java.lang.String cellsPerRow)`
`int` `hashCode()`
`java.lang.String` `toString()`
`java.lang.String` `toThriftCaching()`
`java.lang.String` `toThriftCellsPerRow()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### KEYS_ONLY

    public static final CachingOptions KEYS_ONLY

#### ALL

    public static final CachingOptions ALL

#### ROWS_ONLY

    public static final CachingOptions ROWS_ONLY

#### NONE

    public static final CachingOptions NONE

#### keyCache

    public final CachingOptions.KeyCache keyCache

#### rowCache

    public final CachingOptions.RowCache rowCache

### Constructor Detail

#### CachingOptions

    public CachingOptions(CachingOptions.KeyCache kc,
                          CachingOptions.RowCache rc)

### Method Detail

#### fromString

    public static CachingOptions fromString(java.lang.String cache)
                                     throws ConfigurationException

Throws:
  `ConfigurationException`

#### fromMap

    public static CachingOptions fromMap(java.util.Map<java.lang.String,java.lang.String> cacheConfig)
                                  throws ConfigurationException

Throws:
  `ConfigurationException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### fromThrift

    public static CachingOptions fromThrift(java.lang.String caching,
                                            java.lang.String cellsPerRow)
                                     throws ConfigurationException

Throws:
  `ConfigurationException`

#### toThriftCaching

    public java.lang.String toThriftCaching()

#### toThriftCellsPerRow

    public java.lang.String toThriftCellsPerRow()